Leslie.jpg=Leslie
MrJim.jpg=Mr. Jim
TimShootingDarts.jpg=Timmy
Leslie 3.JPG=Leslie
Jeff.jpg=Jeff
jennifer.jpg=Yet another Jennifer
Barnacles_20060902_060.JPG=Go Dawgs!
Leslie 5.JPG=Leslie
Lisa 3.JPG=Lisa
Todd (Don't ask).jpg=Todd being ... don't ask.
Barnacles_20060901_053.JPG=Tilly Mill Bar
Barnacles_20060902_062.JPG=Rebecca funny-face.
JustMe.jpg=Me
MissKeri.jpg=Kerilyn
Tiff & Sarah.jpg=Tiffany and Sarah
Barnacles_20060902_061.JPG=Mr. Greg.
Shannon&Kid.jpg=Shannon and a baby
barnacles_2005-05-22 004.jpg=Monica.
Barnacles_20060902_056.JPG=Steve, Nick, Greg
Jenn&Michelle.JPG=Jennifer and Michelle
Leslie & Food.jpg=Leslie
Barnacles_20060901_055.JPG=Stephanie
barnacles_2005-05-22 002.jpg=Tabitha.
MVC-015F.JPG=Some woman and Dale
MVC-003S.JPG=Shannon and Carl
Dani.jpg=Dani
2 Jennifers again.jpg=2 of the Jennifers
Keri1.jpg=Kerilyn
Barnacles_20060902_058.JPG=Rebecca and Danielle (Lindsay in the background).
Tim.jpg=Timmy
Leslie 4.JPG=Leslie
Jim's Girls.JPG=Mr. Jim and girls
angelfam.jpg=Angel's family
chey-1.jpg=Chey (pronounced shy)
MVC-021F.JPG=Jeff
barnacles_2005-05-22 001.jpg=Tabitha's butt.
MVC-014F.JPG=Sarah
Barnacles_20060902_059.JPG=Danielle opening presents
dale-1.jpg=Dale
Me & a Jennifer.jpg=Me and Jenn M.
michelle.JPG=Michelle
Keri2.jpg=Kerilyn
MVC-016F.JPG=Kerilyn and Jenn+1
019.jpg=Michelle and Carl
Barnacles_20060902_057.JPG=Me and Steve
Keri3.jpg=Kerilyn
MVC-017F.JPG=Kerilyn and Jenn+1
Lisa.jpg=Lisa
barnacles_2005-05-22 003.jpg=Monica.
barnacles_2005-05-22 005.jpg=Monica and me.
JeffShootingDarts.jpg=Jeff
Lisa 2.jpg=Lisa
jenn-1.jpg=Another Jennifer
leslie-2.jpg=Leslie
Barnacles_20060901_054.JPG=Margarita
2 Jennifers.jpg=2 of the Jennifers
